Flatpak build broken with error "PyGIWarning: GstTranscoder was imported without specifying a version first."
Closed, ResolvedPublic

Description

Updated from pitivi-master just now, attempting to run it yields an error:

** (pitivi:3): WARNING **: Couldn't connect to accessibility bus: Failed to connect to socket /tmp/dbus-ZxlK4X1XDa: Connection refused
/app/lib64/pitivi/python/pitivi/utils/proxy.py:28: PyGIWarning: GstTranscoder was imported without specifying a version first. Use gi.require_version('GstTranscoder', '1.0') before import to ensure that the right version gets loaded.
  from gi.repository import GstTranscoder
Failed to register: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: org.freedesktop.DBus.Error.ServiceUnknown
erusan created this task.Aug 25 2017, 11:41 PM

Just pushed:

commit 56c486b5cf0f652ef01021a7873efcc7b027db05 (HEAD -> master, origin/master, origin/HEAD)
Author: Thibault Saunier <tsaunier@gnome.org>
Date:   Fri Aug 25 20:47:31 2017 -0300

    flatpak: Add --socket=session-bus again, seems necessary when using from repo
    
    Otherwise we get:
    
      Failed to register: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: org.freedesktop.DBus.Error.ServiceUnknown
    
    I am not sure what this is due to, but sharing the whole session bus
    should work and be good enough for now (we are not really sandboxed yet
    anyway).

which I suspect should fixed, we will see once build1352 is done

thiblahute closed this task as Closed.Aug 26 2017, 12:00 AM
thiblahute claimed this task.

Fixed.

Getting error on launch:

Traceback (most recent call last):
  File "/app/lib64/pitivi/python/pitivi/dialogs/startupwizard.py", line 105, in _loadCb
    self.app.project_manager.loadProject(uri)
  File "/app/lib64/pitivi/python/pitivi/project.py", line 247, in loadProject
    project = Project(self.app, uri=uri, scenario=scenario)
  File "/app/lib64/pitivi/python/pitivi/project.py", line 724, in __init__
    self._ensureAudioRestrictions()
  File "/app/lib64/pitivi/python/pitivi/project.py", line 1648, in _ensureAudioRestrictions
    defaults = {"channels": Gst.IntRange(range(1, 2147483647)),
TypeError: object() takes no parameters
Traceback (most recent call last):
  File "/app/lib64/pitivi/python/pitivi/dialogs/startupwizard.py", line 123, in _deleteCb
    self.app.project_manager.newBlankProject()
  File "/app/lib64/pitivi/python/pitivi/project.py", line 524, in newBlankProject
    project = Project(self.app, name=DEFAULT_NAME)
  File "/app/lib64/pitivi/python/pitivi/project.py", line 724, in __init__
    self._ensureAudioRestrictions()
  File "/app/lib64/pitivi/python/pitivi/project.py", line 1648, in _ensureAudioRestrictions
    defaults = {"channels": Gst.IntRange(range(1, 2147483647)),
TypeError: object() takes no parameters

Can't open a project or start a new one

thiblahute added a comment.EditedAug 26 2017, 12:37 PM

OK, this is now fixed, You were not lucky as you updated right when I branch the 1.0 stable branch and I had not tested yet the new produced flatpaks.

I also had another issue when launching:Could not create video output sink. Make sure you have a gtksink available. and had to : rm ~/.var/app/org.pitivi.Pitivi/cache/gstreamer-1.0/registry.x86_64.bin I will think about how to avoid needing that.

Sorry about the inconvenience!

Not sure if this is related or I should open a new bug:

Opening a large project is temporarily fine, then results in massive processor usage (python3 consuming ~50%) and an endless stream of the following error being generated very quickly over and over:

(pitivi:3): Gtk-WARNING **: Allocating size to GtkScrollbar 0x23052f0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

This error used to show up a bunch of times, then stop. Now it stops, then begins again and never stops (on large projects). I can cause this with a new project, even with no content, by moving the mouse over the timeline.

This error is generated when closing pitivi:

/app/lib/pitivi/python/pitivi/timeline/previewers.py:716: Warning: Source ID 39697 was not found when attempting to remove it
  GLib.source_remove(self._thumb_cb_id)

Opening a large project is temporarily fine, then results in massive processor usage (python3 consuming ~50%) and an endless stream of the following error being generated very quickly over and over:

CPU usage is quite normal (50% is fine to me).

(pitivi:3): Gtk-WARNING **: Allocating size to GtkScrollbar 0x23052f0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

-> This is T7778

/app/lib64/pitivi/python/pitivi/utils/proxy.py:28: PyGIWarning: GstTranscoder was imported without specifying a version first. Use gi.require_version('GstTranscoder', '1.0') before import to ensure that the right version gets loaded.

from gi.repository import GstTranscoder

Fixed by 5f72f13356617b64fe74af5d4f136228e7ac6ac3

/app/lib/pitivi/python/pitivi/timeline/previewers.py:716: Warning: Source ID 39697 was not found when attempting to remove it

GLib.source_remove(self._thumb_cb_id)

Fixed by ff46d0213570f9d07eeee1949feee8b75e1cddf4

thiblahute edited projects, added Pitivi (1.0); removed Pitivi.Aug 27 2017, 11:24 AM
thiblahute edited projects, added Pitivi (0.99); removed Pitivi (1.0).
thiblahute moved this task from Backlog to Done on the Pitivi (0.99) board.

GitLab Migration Automatic Message

This bug has been migrated to GNOME's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.gnome.org/GNOME/pitivi/issues/2091.